# Note that this is NOT a relocatable package
%define ver      0.2.5
%define rel      1
%define prefix   /usr

Summary:   A server process which allows multiple applications to share a single sound card.

Name:      esound
Version:   %ver
Release:   %rel
Copyright: GPL
Group:     Daemons
Source0:   esound-%{PACKAGE_VERSION}.tar.gz
URL:       http://pw1.netcom.com/~ericmit/EsounD.html
BuildRoot: /var/tmp/esound-%{PACKAGE_VERSION}-root
Packager: The Rasterman <raster@rasterman.com>

Docdir: %{prefix}/doc

%description
Esound, the Enlightened Sound Daemon, allows multiple
applications to share a single sound card. In other words, esound can mix
several different audio streams into one device, allowing you to play a
sound without stopping the play of other sound applications.

%package devel
Summary: Libraries, includes, etc to develop EsounD applications
Group: Libraries
Requires: esound

%description devel
Libraries, include files, etc you can use to develop EsounD applications.

%prep
#%setup
%setup -q -n esound

%build
# Needed for snapshot releases.
# Optimize that damned code all the way
if [ ! -z "echo -n ${RPM_OPT_FLAGS} | grep pentium" ]; then
  if [ ! -z "`which egcs`" ]; then
    CC="egcs"
  else
    if [ ! -z "`which pgcc`" ]; then
      CC="pgcc"
    fi
  fi
  CFLAGS="${RPM_OPT_FLAGS}"
else
  CFLAGS="${RPM_OPT_FLAGS}"
fi

if [ ! -f configure ]; then
  CC="$CC" CFLAGS="$CFLAGS" ./autogen.sh --prefix=%prefix
else
  CC="$CC" CFLAGS="$CFLAGS" ./configure --prefix=%prefix
fi

if [ "$SMP" != "" ]; then
  (make "MAKE=make -k -j $SMP"; exit 0)
  make
else
  make
fi

%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{prefix} install

chmod +x $RPM_BUILD_ROOT/usr/lib/lib*.so.*.*

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog EsounD.html INSTALL NEWS README TIPS TODO
%{prefix}/bin/*
%{prefix}/lib/lib*.so.*

%files devel
%defattr(-, root, root)

%{prefix}/lib/lib*.so
%{prefix}/lib/*a
%{prefix}/include/*

%changelog
* Sat Oct 24 1998 Jeff Johnson <jbj@redhat.com>
- update to 0.2.5.
- new description/summary text.

* Wed May 13 1998 Michael Fulbright <msf@redhat.com>
- First try at an RPM
